* [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
@ 2010-01-25 7:43 Shi Weihua
0 siblings, 0 replies; 8+ messages in thread
From: Shi Weihua @ 2010-01-25 7:43 UTC (permalink / raw)
To: ltp-list
In the previous mailx version, the command "echo "d" | mail -u root" will
output like the following.
-----------------------------
Mail version 8.1 6/6/93. Type ? for help.
"/var/mail/root": 1 message 1 new
>N 1 MAILER-DAEMON@localh Mon Jan 25 09:11 63/2367 "Returned mail: see tr"
-----------------------------
Buy in Heirloom Mail, the command will output.
-----------------------------
Heirloom Mail version 12.4 7/29/08. Type ? for help.
"/var/mail/root": 1 message 1 new
>N 1 Mail Delivery Subsys Mon Jan 25 14:16 67/2195 "Returned mail: see tr"
-----------------------------
"MAILER-DAEMON@localh" is been changed to "Mail Delivery Subsys".
We should make mail_tests.sh to supporting Heirloom Mail.
Signed-off-by: Shi Weihua <shiwh@cn.fujitsu.com>
---
--- ltp-full-20091231/testcases/commands/mail/mail_tests.sh 2009-11-16 21:25:48.000000000 +0800
+++ ltp-full-20100119/testcases/commands/mail/mail_tests.sh 2010-01-25 15:30:21.000000000 +0800
@@ -55,6 +55,25 @@ else
LTPBIN=$LTPROOT/testcases/bin
fi
+isHeirloomMail=0
+checkHeirloomMail()
+{
+ isHeirloomMail=0
+
+ if [ $# -ne 1 ]; then
+ return
+ fi
+
+ if [ ! -f $1 ]; then
+ return
+ fi
+
+ cat $1 | grep "Heirloom"
+ if [ $? -eq 0 ]; then
+ isHeirloomMail=1
+ fi
+}
+
RC=0
export TCID=SETUP
export TST_COUNT=1
@@ -170,8 +189,14 @@ else
# but wait for the mail to arrive first, sleep 5s.
sleep 5s
echo "d" | mail -u root > $LTPTMP/tst_mail.res 2>&1
- RC1=$(awk '/^>N/ {IGNORECASE=1; print match($3, "Mailer-Daemon")}' \
- $LTPTMP/tst_mail.res)
+ checkHeirloomMail $LTPTMP/tst_mail.res
+ if [ $isHeirloomMail -eq 0 ]; then
+ RC1=$(awk '/^>N/ {IGNORECASE=1; print match($3, "Mailer-Daemon")}' \
+ $LTPTMP/tst_mail.res)
+ else
+ RC1=$(awk '/^>N/ {IGNORECASE=1; print match($3 $4 $5, "MailDeliverySubsys")}' \
+ $LTPTMP/tst_mail.res)
+ fi
##################################################################
# In this testcase, mail will get "Returnedmail:", while mailx will
# get "UndeliveredMailReturned:".
@@ -181,10 +206,17 @@ else
# or
# /bin/mailx -> /bin/mail
##################################################################
- RC2=$(awk '/^>N/ {print match($9 $10, "Returnedmail:")}' \
- $LTPTMP/tst_mail.res)
- RC3=$(awk '/^>N/ {print match($9 $10, "UndeliveredMail")}' \
- $LTPTMP/tst_mail.res)
+ if [ $isHeirloomMail -eq 0 ]; then
+ RC2=$(awk '/^>N/ {print match($9 $10, "Returnedmail:")}' \
+ $LTPTMP/tst_mail.res)
+ RC3=$(awk '/^>N/ {print match($9 $10, "UndeliveredMail")}' \
+ $LTPTMP/tst_mail.res)
+ else
+ RC2=$(awk '/^>N/ {print match($11 $12, "Returnedmail:")}' \
+ $LTPTMP/tst_mail.res)
+ RC3=$(awk '/^>N/ {print match($11 $12, "UndeliveredMail")}' \
+ $LTPTMP/tst_mail.res)
+ fi
fi
if [ -z "$RC1" -a -z "$RC2" -a -z "$RC3" ]
then
@@ -238,8 +270,14 @@ else
# but wait for the mail to arrive first, sleep 5s.
sleep 5s
echo "d" | mail -u root > $LTPTMP/tst_mail.res 2>&1
- RC1=$(awk '/^>N/ {IGNORECASE=1; print match($3, "Mailer-Daemon")}' \
- $LTPTMP/tst_mail.res)
+ checkHeirloomMail $LTPTMP/tst_mail.res
+ if [ $isHeirloomMail -eq 0 ]; then
+ RC1=$(awk '/^>N/ {IGNORECASE=1; print match($3, "Mailer-Daemon")}' \
+ $LTPTMP/tst_mail.res)
+ else
+ RC1=$(awk '/^>N/ {IGNORECASE=1; print match($3 $4 $5, "MailDeliverySubsys")}' \
+ $LTPTMP/tst_mail.res)
+ fi
##################################################################
# In this testcase, mail will get "Returnedmail:", while mailx will
# get "UndeliveredMailReturned:".
@@ -248,11 +286,18 @@ else
# /bin/mail -> /bin/mailx
# or
# /bin/mailx -> /bin/mail
-##################################################################
- RC2=$(awk '/^>N/ {print match($9 $10, "Returnedmail:")}' \
- $LTPTMP/tst_mail.res)
- RC3=$(awk '/^>N/ {print match($9 $10, "UndeliveredMail")}' \
- $LTPTMP/tst_mail.res)
+#################################################################
+ if [ $isHeirloomMail -eq 0 ]; then
+ RC2=$(awk '/^>N/ {print match($9 $10, "Returnedmail:")}' \
+ $LTPTMP/tst_mail.res)
+ RC3=$(awk '/^>N/ {print match($9 $10, "UndeliveredMail")}' \
+ $LTPTMP/tst_mail.res)
+ else
+ RC2=$(awk '/^>N/ {print match($11 $12, "Returnedmail:")}' \
+ $LTPTMP/tst_mail.res)
+ RC3=$(awk '/^>N/ {print match($11 $12, "UndeliveredMail")}' \
+ $LTPTMP/tst_mail.res)
+ fi
fi
if [ -z "$RC1" -a -z "$RC2" -a -z "$RC3" ]
then
------------------------------------------------------------------------------
Throughout its 18-year history, RSA Conference consistently attracts the
world's best and brightest in the field, creating opportunities for Conference
attendees to learn about information security's most important issues through
interactions with peers, luminaries and emerging and established companies.
http://p.sf.net/sfu/rsaconf-dev2dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
* Re: [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
@ 2010-02-17 8:09 Rishikesh
2010-02-17 17:08 ` Garrett Cooper
0 siblings, 1 reply; 8+ messages in thread
From: Rishikesh @ 2010-02-17 8:09 UTC (permalink / raw)
To: Shi Weihua, LTP
Hi Shi,
Thanks for your patch . It will be merged in feb 2010 release.
Acked-By: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>
http://marc.info/?l=ltp-list&m=126440546415559&w=2
--
Thanks& Regards
Rishi Kesh K Rajak
IBM LTC, Bangalore
LTP Maintainer
Please join IRC: #ltp @ freenode.net
------------------------------------------------------------------------------
SOLARIS 10 is the OS for Data Centers - provides features such as DTrace,
Predictive Self Healing and Award Winning ZFS. Get Solaris 10 NOW
http://p.sf.net/sfu/solaris-dev2dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
* Re: [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
2010-02-17 8:09 Rishikesh
@ 2010-02-17 17:08 ` Garrett Cooper
2010-02-18 3:57 ` Rishikesh K Rajak
0 siblings, 1 reply; 8+ messages in thread
From: Garrett Cooper @ 2010-02-17 17:08 UTC (permalink / raw)
To: Rishikesh; +Cc: LTP
On Wed, Feb 17, 2010 at 12:09 AM, Rishikesh <risrajak@linux.vnet.ibm.com> wrote:
> Hi Shi,
>
> Thanks for your patch . It will be merged in feb 2010 release.
>
> Acked-By: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>
>
> http://marc.info/?l=ltp-list&m=126440546415559&w=2
There's a lot of noise in the patch because of if-else behavior in
trying to determine the mail app. That's why I didn't commit this (it
requires verification of previous mail applications as well).
The mail test should be resistant to changes like these as a lot of
developers in the FOSS community have different opinions on how to do
things and don't follow any particular standard. This `heirloom mailx'
support is just one said example that needs to be fixed.
Thanks,
-Garrett
------------------------------------------------------------------------------
SOLARIS 10 is the OS for Data Centers - provides features such as DTrace,
Predictive Self Healing and Award Winning ZFS. Get Solaris 10 NOW
http://p.sf.net/sfu/solaris-dev2dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
* Re: [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
2010-02-17 17:08 ` Garrett Cooper
@ 2010-02-18 3:57 ` Rishikesh K Rajak
2010-02-22 8:28 ` Shi Weihua
0 siblings, 1 reply; 8+ messages in thread
From: Rishikesh K Rajak @ 2010-02-18 3:57 UTC (permalink / raw)
To: Garrett Cooper, Shi Weihua; +Cc: LTP
On Wed, Feb 17, 2010 at 09:08:39AM -0800, Garrett Cooper wrote:
> On Wed, Feb 17, 2010 at 12:09 AM, Rishikesh <risrajak@linux.vnet.ibm.com> wrote:
> > Hi Shi,
> >
> > Thanks for your patch . It will be merged in feb 2010 release.
> >
> > Acked-By: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>
> >
> > http://marc.info/?l=ltp-list&m=126440546415559&w=2
>
> There's a lot of noise in the patch because of if-else behavior in
> trying to determine the mail app. That's why I didn't commit this (it
> requires verification of previous mail applications as well).
Thanks Garret, Still i have not committed this to CVS repo.
Shi, can you please verify if this patch does not break with any other
mail application.
Thanks for your support.
-Rishi
>
> The mail test should be resistant to changes like these as a lot of
> developers in the FOSS community have different opinions on how to do
> things and don't follow any particular standard. This `heirloom mailx'
> support is just one said example that needs to be fixed.
>
> Thanks,
> -Garrett
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
* Re: [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
2010-02-18 3:57 ` Rishikesh K Rajak
@ 2010-02-22 8:28 ` Shi Weihua
2010-03-02 14:46 ` Rishikesh K Rajak
0 siblings, 1 reply; 8+ messages in thread
From: Shi Weihua @ 2010-02-22 8:28 UTC (permalink / raw)
To: Rishikesh K Rajak; +Cc: LTP
at 2010-2-18 11:57, Rishikesh K Rajak wrote:
> On Wed, Feb 17, 2010 at 09:08:39AM -0800, Garrett Cooper wrote:
>> On Wed, Feb 17, 2010 at 12:09 AM, Rishikesh <risrajak@linux.vnet.ibm.com> wrote:
>>> Hi Shi,
>>>
>>> Thanks for your patch . It will be merged in feb 2010 release.
>>>
>>> Acked-By: Rishikesh K Rajak <risrajak@linux.vnet.ibm.com>
>>>
>>> http://marc.info/?l=ltp-list&m=126440546415559&w=2
>>
>> There's a lot of noise in the patch because of if-else behavior in
>> trying to determine the mail app. That's why I didn't commit this (it
>> requires verification of previous mail applications as well).
>
> Thanks Garret, Still i have not committed this to CVS repo.
>
> Shi, can you please verify if this patch does not break with any other
> mail application.
In fact, i don't know any other mail application.
When i tested RHEL's alpha version, this ltp bug catched. so tried to fix it.
Maybe, you should knock FOSS community(?).
>
> Thanks for your support.
> -Rishi
>>
>> The mail test should be resistant to changes like these as a lot of
>> developers in the FOSS community have different opinions on how to do
>> things and don't follow any particular standard. This `heirloom mailx'
>> support is just one said example that needs to be fixed.
>>
>> Thanks,
>> -Garrett
>
>
--
Shi Weihua
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
* Re: [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
2010-02-22 8:28 ` Shi Weihua
@ 2010-03-02 14:46 ` Rishikesh K Rajak
2010-03-02 16:19 ` Garrett Cooper
0 siblings, 1 reply; 8+ messages in thread
From: Rishikesh K Rajak @ 2010-03-02 14:46 UTC (permalink / raw)
To: Shi Weihua; +Cc: LTP
On Mon, Feb 22, 2010 at 04:28:25PM +0800, Shi Weihua wrote:
> >> There's a lot of noise in the patch because of if-else behavior in
> >> trying to determine the mail app. That's why I didn't commit this (it
> >> requires verification of previous mail applications as well).
> >
> > Thanks Garret, Still i have not committed this to CVS repo.
> >
> > Shi, can you please verify if this patch does not break with any other
> > mail application.
>
> In fact, i don't know any other mail application.
> When i tested RHEL's alpha version, this ltp bug catched. so tried to fix it.
>
> Maybe, you should knock FOSS community(?).
Hi Shi,
With Feb release still i am seeing some failure with mail file.
cmdline="export TCdat=$LTPROOT/testcases/bin; mail_tests.sh"
contacts=""
analysis=exit
<<<test_output>>>
mail_tests::setup 0 TINFO : INIT: Removing all mails for mail_test
and root
mail_tests::mail01 0 TINFO : Test #1: mail root@localhost will
send mail to root
mail_tests::mail01 0 TINFO : Test #1: user on local machine.
mail_tests::mail01 1 TPASS : Test #1: Mail was sent to root & was
received
mail_tests::mail02 0 TINFO : Test #2: mail user@bad-domain will
result in failure
mail_tests::mail02 0 TINFO : Test #2: to deliver the mail. Mailer
daemon should
mail_tests::mail02 0 TINFO : Test #2: report this failure.
mail_tests::mail02 2 TFAIL : Test #2: No new mail for root.
Reason:
No mail for root
mail_tests::mail03 0 TINFO : Test #3: mail
non_existent_user@localhost will fail
mail_tests::mail03 0 TINFO : Test #3: to deliver the mail. Mailer
daemon should
mail_tests::mail03 0 TINFO : Test #3: report this failure.
mail_tests::mail03 3 TFAIL : Test #3: No new mail for root.
Reason:
No mail for root
mail_tests::mail04 0 TINFO : Test #4: Test that mail -c
user@domain will
mail_tests::mail04 0 TINFO : Test #4: carbon copy user@domain
mail_tests::mail04 4 TPASS : Test #4: Mail was carbon copied to
user mail_test
mail_tests::mail05 0 TINFO : Test #5: Test that mail -b
user@domain will
mail_tests::mail05 0 TINFO : Test #5: blind carbon copy
user@domain
mail_tests::mail05 5 TPASS : Test #5: Mail was carbon copied to
user mail_test
mail_tests::cleanup 0 TINFO : Test CLEAN: Removing temporary files
from /tmp
mail_tests::cleanup 0 TINFO : Test CLEAN: Removing temporary user
mail_test
<<<execution_status>>>
Can you please look into it if possible? I have run this testcase on
SLES10.SP3GA & RHEL5.4 GA on x86_64 , ppc64 & s390x and everywhere same
result.
--
Thanks & Regards
Rishi
LTP Maintainer
IBM, LTC, Bangalore
Please join IRC #ltp @ irc.freenode.net
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
* Re: [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
2010-03-02 14:46 ` Rishikesh K Rajak
@ 2010-03-02 16:19 ` Garrett Cooper
2010-03-04 6:58 ` Shi Weihua
0 siblings, 1 reply; 8+ messages in thread
From: Garrett Cooper @ 2010-03-02 16:19 UTC (permalink / raw)
To: Rishikesh K Rajak; +Cc: LTP
On Mar 2, 2010, at 6:46 AM, Rishikesh K Rajak <risrajak@linux.vnet.ibm.com
> wrote:
> On Mon, Feb 22, 2010 at 04:28:25PM +0800, Shi Weihua wrote:
>>>> There's a lot of noise in the patch because of if-else behavior in
>>>> trying to determine the mail app. That's why I didn't commit this
>>>> (it
>>>> requires verification of previous mail applications as well).
>>>
>>> Thanks Garret, Still i have not committed this to CVS repo.
>>>
>>> Shi, can you please verify if this patch does not break with any
>>> other
>>> mail application.
>>
>> In fact, i don't know any other mail application.
>> When i tested RHEL's alpha version, this ltp bug catched. so tried
>> to fix it.
>>
>> Maybe, you should knock FOSS community(?).
> Hi Shi,
>
> With Feb release still i am seeing some failure with mail file.
>
> cmdline="export TCdat=$LTPROOT/testcases/bin; mail_tests.sh"
> contacts=""
> analysis=exit
> <<<test_output>>>
> mail_tests::setup 0 TINFO : INIT: Removing all mails for
> mail_test
> and root
> mail_tests::mail01 0 TINFO : Test #1: mail root@localhost will
> send mail to root
> mail_tests::mail01 0 TINFO : Test #1: user on local machine.
> mail_tests::mail01 1 TPASS : Test #1: Mail was sent to root &
> was
> received
> mail_tests::mail02 0 TINFO : Test #2: mail user@bad-domain will
> result in failure
> mail_tests::mail02 0 TINFO : Test #2: to deliver the mail.
> Mailer
> daemon should
> mail_tests::mail02 0 TINFO : Test #2: report this failure.
> mail_tests::mail02 2 TFAIL : Test #2: No new mail for root.
> Reason:
> No mail for root
> mail_tests::mail03 0 TINFO : Test #3: mail
> non_existent_user@localhost will fail
> mail_tests::mail03 0 TINFO : Test #3: to deliver the mail.
> Mailer
> daemon should
> mail_tests::mail03 0 TINFO : Test #3: report this failure.
> mail_tests::mail03 3 TFAIL : Test #3: No new mail for root.
> Reason:
> No mail for root
> mail_tests::mail04 0 TINFO : Test #4: Test that mail -c
> user@domain will
> mail_tests::mail04 0 TINFO : Test #4: carbon copy user@domain
> mail_tests::mail04 4 TPASS : Test #4: Mail was carbon copied to
> user mail_test
> mail_tests::mail05 0 TINFO : Test #5: Test that mail -b
> user@domain will
> mail_tests::mail05 0 TINFO : Test #5: blind carbon copy
> user@domain
> mail_tests::mail05 5 TPASS : Test #5: Mail was carbon copied to
> user mail_test
> mail_tests::cleanup 0 TINFO : Test CLEAN: Removing temporary
> files
> from /tmp
> mail_tests::cleanup 0 TINFO : Test CLEAN: Removing temporary
> user
> mail_test
> <<<execution_status>>>
>
> Can you please look into it if possible? I have run this testcase on
> SLES10.SP3GA & RHEL5.4 GA on x86_64 , ppc64 & s390x and everywhere
> same
> result.
Same here on Gentoo Linux before and after my cleanup to the test.
Thanks,
-Garrett
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
* Re: [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail
2010-03-02 16:19 ` Garrett Cooper
@ 2010-03-04 6:58 ` Shi Weihua
0 siblings, 0 replies; 8+ messages in thread
From: Shi Weihua @ 2010-03-04 6:58 UTC (permalink / raw)
To: Garrett Cooper; +Cc: LTP
at 2010-3-3 0:19, Garrett Cooper wrote:
> On Mar 2, 2010, at 6:46 AM, Rishikesh K Rajak
> <risrajak@linux.vnet.ibm.com> wrote:
>
>> On Mon, Feb 22, 2010 at 04:28:25PM +0800, Shi Weihua wrote:
>>>>> There's a lot of noise in the patch because of if-else behavior in
>>>>> trying to determine the mail app. That's why I didn't commit this (it
>>>>> requires verification of previous mail applications as well).
>>>>
>>>> Thanks Garret, Still i have not committed this to CVS repo.
>>>>
>>>> Shi, can you please verify if this patch does not break with any other
>>>> mail application.
>>>
>>> In fact, i don't know any other mail application.
>>> When i tested RHEL's alpha version, this ltp bug catched. so tried
>>> to fix it.
>>>
>>> Maybe, you should knock FOSS community(?).
>> Hi Shi,
>>
>> With Feb release still i am seeing some failure with mail file.
>>
>> cmdline="export TCdat=$LTPROOT/testcases/bin; mail_tests.sh"
>> contacts=""
>> analysis=exit
>> <<<test_output>>>
>> mail_tests::setup 0 TINFO : INIT: Removing all mails for mail_test
>> and root
>> mail_tests::mail01 0 TINFO : Test #1: mail root@localhost will
>> send mail to root
>> mail_tests::mail01 0 TINFO : Test #1: user on local machine.
>> mail_tests::mail01 1 TPASS : Test #1: Mail was sent to root & was
>> received
>> mail_tests::mail02 0 TINFO : Test #2: mail user@bad-domain will
>> result in failure
>> mail_tests::mail02 0 TINFO : Test #2: to deliver the mail. Mailer
>> daemon should
>> mail_tests::mail02 0 TINFO : Test #2: report this failure.
>> mail_tests::mail02 2 TFAIL : Test #2: No new mail for root.
>> Reason:
>> No mail for root
>> mail_tests::mail03 0 TINFO : Test #3: mail
>> non_existent_user@localhost will fail
>> mail_tests::mail03 0 TINFO : Test #3: to deliver the mail. Mailer
>> daemon should
>> mail_tests::mail03 0 TINFO : Test #3: report this failure.
>> mail_tests::mail03 3 TFAIL : Test #3: No new mail for root.
>> Reason:
>> No mail for root
>> mail_tests::mail04 0 TINFO : Test #4: Test that mail -c
>> user@domain will
>> mail_tests::mail04 0 TINFO : Test #4: carbon copy user@domain
>> mail_tests::mail04 4 TPASS : Test #4: Mail was carbon copied to
>> user mail_test
>> mail_tests::mail05 0 TINFO : Test #5: Test that mail -b
>> user@domain will
>> mail_tests::mail05 0 TINFO : Test #5: blind carbon copy
>> user@domain
>> mail_tests::mail05 5 TPASS : Test #5: Mail was carbon copied to
>> user mail_test
>> mail_tests::cleanup 0 TINFO : Test CLEAN: Removing temporary files
>> from /tmp
>> mail_tests::cleanup 0 TINFO : Test CLEAN: Removing temporary user
>> mail_test
>> <<<execution_status>>>
>>
>> Can you please look into it if possible? I have run this testcase on
>> SLES10.SP3GA & RHEL5.4 GA on x86_64 , ppc64 & s390x and everywhere same
>> result.
>
> Same here on Gentoo Linux before and after my cleanup to the test.
This fail message is same as my message which outputed on RHEL6alpha3 at 2009.12.
>> mail_tests::mail03 3 TFAIL : Test #3: No new mail for root.
>> Reason:
>> No mail for root
The mailx version on your system is "Heirloom Mail" ? you can get the version by a
command of echo "d" | mail -u root.
If it's "Heirloom Mail", you should accept my patch.
http://marc.info/?l=ltp-list&m=126440546415559&w=2
If it's other mailx, please give me the output of echo "d" | mail -u root, let's
try to fix it.
-Shi Weihua
------------------------------------------------------------------------------
Download Intel® Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list
^ permalink raw reply [flat|nested] 8+ messages in thread
end of thread, other threads:[~2010-03-04 8:26 UTC | newest]
Thread overview: 8+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-01-25 7:43 [LTP] [PATCH] mail_tests.sh: fix a version problem of Heirloom Mail Shi Weihua
-- strict thread matches above, loose matches on Subject: below --
2010-02-17 8:09 Rishikesh
2010-02-17 17:08 ` Garrett Cooper
2010-02-18 3:57 ` Rishikesh K Rajak
2010-02-22 8:28 ` Shi Weihua
2010-03-02 14:46 ` Rishikesh K Rajak
2010-03-02 16:19 ` Garrett Cooper
2010-03-04 6:58 ` Shi Weihua
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox